### Method

# Shumate MarkerLayer set_selection_mode

#### Declaration [src]

    void
    shumate_marker_layer_set_selection_mode (
      ShumateMarkerLayer* layer,
      GtkSelectionMode mode
    )

#### Description [src]

Sets the selection mode of the layer.

NOTE: changing selection mode to `GTK_SELECTION_NONE`, `GTK_SELECTION_SINGLE` or `GTK_SELECTION_BROWSE` will clear all previously selected markers.

Sets property | `Shumate.MarkerLayer:selection-mode`

#### Parameters

`mode` | `GtkSelectionMode`
| A `GtkSelectionMode` value.